<!--
/*
 *  Copyright 2012 by Texas Instruments Incorporated .
 *  
 */
-->

<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>Linux Utils Application Programming Interface (API): Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<table width="100%">
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border="0" src="tilogo.gif" /></a></td>
  <td bgcolor="red"><img src="titagline.gif" /></td>
</tr>
</table>
<!-- Generated by Doxygen 1.7.2 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li id="searchli">
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li class="current"><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="globals.html"><span>All</span></a></li>
      <li><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_vars.html"><span>Variables</span></a></li>
      <li><a href="globals_type.html"><span>Typedefs</span></a></li>
      <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
      <li><a href="globals_defs.html"><span>Defines</span></a></li>
    </ul>
  </div>
  <div class="tabs3">
    <ul class="tablist">
      <li><a href="#index_c"><span>c</span></a></li>
      <li><a href="#index_s"><span>s</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

<h3><a class="anchor" id="index_c"></a>- c -</h3><ul>
<li>CMEM_alloc()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8f06de969151e59379f7491b7c58b4a">cmem.h</a>
</li>
<li>CMEM_alloc2()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa246effe37bc6dafa7146c443c83e831">cmem.h</a>
</li>
<li>CMEM_AllocParams
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaf772e1cf0334dca4e2cbb1acb1fa7a74">cmem.h</a>
</li>
<li>CMEM_allocPool()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877">cmem.h</a>
</li>
<li>CMEM_allocPool2()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga209562d2562a6a6f3ddcce162f835468">cmem.h</a>
</li>
<li>CMEM_BlockAttrs
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gab599820b841ce7113113c618fb0e8a85">cmem.h</a>
</li>
<li>CMEM_CACHED
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga894220a7ad3f4fe58272fa57e5716ff7">cmem.h</a>
</li>
<li>CMEM_cacheInv()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaf1a3b3217f091db1d05aa4c1a2cf596a">cmem.h</a>
</li>
<li>CMEM_cacheWb()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaeef3fdc1bf833b34017c975a477dc278">cmem.h</a>
</li>
<li>CMEM_cacheWbInv()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga749afac6dc4077f4c7f947593497929e">cmem.h</a>
</li>
<li>CMEM_DEFAULTPARAMS
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga02f27b513787b9581ebd67ff62827904">cmem.h</a>
</li>
<li>CMEM_exit()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga98363a0c4114e0227fbc1763203177b9">cmem.h</a>
</li>
<li>CMEM_free()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae39f01bac7c437e9738090bef4aed158">cmem.h</a>
</li>
<li>CMEM_getBlock()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaabdb4e2d51ff8c42e1aa8a05244555b6">cmem.h</a>
</li>
<li>CMEM_getBlockAttrs()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaf5bfc403676da91ecf44242d525afd8b">cmem.h</a>
</li>
<li>CMEM_getNumBlocks()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga5604844605a5e32dd4f242798b30dc09">cmem.h</a>
</li>
<li>CMEM_getPhys()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gad568ae7a470d1465164a26d304b6c9a0">cmem.h</a>
</li>
<li>CMEM_getPool()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga61b4561b4f8e9c01a84b2ccd4d4c8531">cmem.h</a>
</li>
<li>CMEM_getPool2()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga7923345b21ea4baf38f3b4a4c6a8ecf7">cmem.h</a>
</li>
<li>CMEM_getVersion()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae4c4df4bae7464ffddd3f21b0815c10e">cmem.h</a>
</li>
<li>CMEM_HEAP
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae6df4f615573af4d9c8186384d180d84">cmem.h</a>
</li>
<li>CMEM_init()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915">cmem.h</a>
</li>
<li>CMEM_INV
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga84a13cfa52f98f56f979096a0b97f44c">cmem.h</a>
</li>
<li>CMEM_IOCALLOC
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gac1fd168739bd05307ec519d2d254f14a">cmem.h</a>
</li>
<li>CMEM_IOCALLOCCACHED
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae46dd092114a9907c62d1af0d0a8282f">cmem.h</a>
</li>
<li>CMEM_IOCALLOCHEAP
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga17cdd5932da87a6ceebd53eeaccfcdf5">cmem.h</a>
</li>
<li>CMEM_IOCALLOCHEAPCACHED
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga1f666e24302dd5f9d8489f1ab916aef3">cmem.h</a>
</li>
<li>CMEM_IOCCACHE
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga741576815e673fba2253028be1ed886d">cmem.h</a>
</li>
<li>CMEM_IOCCACHEINV
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae3599cdcb42c124e1ba590eca5c79d56">cmem.h</a>
</li>
<li>CMEM_IOCCACHEWB
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8cb1794d3f8a650da956dbc827ffa04">cmem.h</a>
</li>
<li>CMEM_IOCCACHEWBINV
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga6588f2a6e6d151c881574296e1fa7c75">cmem.h</a>
</li>
<li>CMEM_IOCCMDMASK
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga60adf021b05573125be11ca3af825564">cmem.h</a>
</li>
<li>CMEM_IOCFREE
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga3e5c2aa4938172852878743681f1deec">cmem.h</a>
</li>
<li>CMEM_IOCFREEHEAP
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga41ee50820ad343b3b591e0ad38e5764d">cmem.h</a>
</li>
<li>CMEM_IOCFREEHEAPPHYS
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gad1d6271519a725d94b29f2d096b6d898">cmem.h</a>
</li>
<li>CMEM_IOCFREEPHYS
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gad0d90d49e48e01a48490010a583f59f1">cmem.h</a>
</li>
<li>CMEM_IOCGETBLOCK
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga21a43bb3db137d462e3bff278c574da4">cmem.h</a>
</li>
<li>CMEM_IOCGETNUMBLOCKS
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga386afee541b1c310a05855e34766459b">cmem.h</a>
</li>
<li>CMEM_IOCGETPHYS
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga9bcdafb23157f060882296536f662620">cmem.h</a>
</li>
<li>CMEM_IOCGETPOOL
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa949ce903361352e2cc69a93b6a1bea1">cmem.h</a>
</li>
<li>CMEM_IOCGETSIZE
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga10a20aac6f8b10639d9f904004b7b3b7">cmem.h</a>
</li>
<li>CMEM_IOCGETVERSION
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga70664ef0aefedc53dc697baeec46a20d">cmem.h</a>
</li>
<li>CMEM_IOCMAGIC
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gabd02db44a1dac13174ae356f4c4ce230">cmem.h</a>
</li>
<li>CMEM_IOCREGUSER
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga925be32918be15c2204b0cebe5921dec">cmem.h</a>
</li>
<li>CMEM_NONCACHED
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga50734833b9ef3a67e48d94d1e4cd1271">cmem.h</a>
</li>
<li>CMEM_PHYS
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga9006bc536abeccec35c020f9bea41605">cmem.h</a>
</li>
<li>CMEM_POOL
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga1131d153a198e8a45b480e2694c0aa56">cmem.h</a>
</li>
<li>CMEM_registerAlloc()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa0c312335d5fdc0457094e98a80a5795">cmem.h</a>
</li>
<li>CMEM_unregister()
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gadccb25f3cfcb630015f946fdfa481c8a">cmem.h</a>
</li>
<li>CMEM_VERSION
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga742e77191f1efd05c9a4f3ffa247d7da">cmem.h</a>
</li>
<li>CMEM_WB
: <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga187e4e9bf672a30c82a7b70b60542754">cmem.h</a>
</li>
</ul>


<h3><a class="anchor" id="index_s"></a>- s -</h3><ul>
<li>SDMA_ChannelDescriptor
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#gac90fcbb51fb47d76978a2a43959ea1dc">sdma.h</a>
</li>
<li>SDMA_check()
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga04c8ced481b3043a8347a9df4fe3a715">sdma.h</a>
</li>
<li>SDMA_EFAIL
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#gga0320eede22af77d23066c79b98f83d86aed3a0eaeb1a46c9ab4bf9720767675c5">sdma.h</a>
</li>
<li>SDMA_ENOCHANNEL
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#gga0320eede22af77d23066c79b98f83d86ac5fd05a19b35afdb5a7d73c83077dc3a">sdma.h</a>
</li>
<li>SDMA_ENOINIT
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#gga0320eede22af77d23066c79b98f83d86a5149eca0e66ee63328729ef1fcd78fdd">sdma.h</a>
</li>
<li>SDMA_exit()
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga8dff87d79d68c1e9a3eb54ca4133ec7c">sdma.h</a>
</li>
<li>SDMA_freeChannels()
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga81c0e872ec8e43abecc801f5da40c6e6">sdma.h</a>
</li>
<li>SDMA_getChannels()
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga61ad0de72b29de1788eec637c1930275">sdma.h</a>
</li>
<li>SDMA_getVersion()
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga8565a8d49e15ea9769f1a9c698ed229c">sdma.h</a>
</li>
<li>SDMA_init()
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga2f696c8f6e535ff8b8a50946aa801bc2">sdma.h</a>
</li>
<li>SDMA_IOCCMDMASK
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga871606b17c30573afd86ce0eb8aed793">sdma.h</a>
</li>
<li>SDMA_IOCGETVERSION
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga12b43daa7600cb5eb684874e5a35cb14">sdma.h</a>
</li>
<li>SDMA_IOCMAGIC
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga575ba4b089ce068f316ea8f26329731e">sdma.h</a>
</li>
<li>SDMA_IOCRELEASEDMA
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#gaf61056646c5f1f470ad48f25f8bec891">sdma.h</a>
</li>
<li>SDMA_IOCREQUESTDMA
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga3e69a60f4fb4165cf6e9bae183d76e18">sdma.h</a>
</li>
<li>SDMA_IOCWAITFORCOMPLETION
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga0233858df32d487eccc7222f177a4535">sdma.h</a>
</li>
<li>SDMA_OK
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#gga0320eede22af77d23066c79b98f83d86aaedf16bd0ba00df842dbc025dd670355">sdma.h</a>
</li>
<li>SDMA_Status
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga4b4405f362573bbae71e5808df1cbe99">sdma.h</a>
</li>
<li>SDMA_VERSION
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga5a56502b7267c0d282482430b31bafbf">sdma.h</a>
</li>
<li>SDMA_wait()
: <a class="el" href="group__ti__sdo__linuxutils__sdma___s_d_m_a.html#ga3e11eddf1b871b7499a104acefcfb328">sdma.h</a>
</li>
</ul>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1" /><small>
Copyright  2012, Texas Instruments Incorporated</small>
</body>
</html>
<!--
/*
 * @(#) linuxutils_3_23_00_01; 1, 0, 0,1; 5-30-2012 11:51:37; /db/atree/library/trees/linuxutils/linuxutils-l01/src/ xlibrary

 */
-->

